Skip to content

Same lookup as getMemberBountiesByID and getMemberBountiesByPlayerID, addressed by the member’s slug instead of their member id or playerId. The slug match is case-insensitive.

The response matches the other two member-bounty lookups, plus an echo of the slug you requested.

X-SHARED-SECRET
required
stringheader
slug
required
string

Slug of member to retrieve bounties for

groupId
string

Creator group to use for this operation

page
integer format: int32
default: 1 >= 1 <= 9999

Page of records to return

pageSize
integer format: int32
default: 100 >= 1 <= 100

Page size

Bounty progress for specified member

Media typeapplication/json
object
groupId

ID of the creator group

string
groupName

Name of the creator group

string
currentPage

Page number of response records returned

integer format: int32
currentPageSize

Page size used for this operation

integer format: int32
totalCount

Total number of referrals

integer format: int32
memberId
string
playerId

Unique identifier for this members’s in-game user, set when linking with their Nexus account or generating the code

string
slug
string
progress
Array<object>
object
id
string
completed

Whether the creator has completed this bounty. Bounties will not be considered completed until the completion limit has been reached

boolean
completionCount
number
lastProgressCheck
string format: date-time
currentObjectiveGroupId
string
currentObjectives
Array<object>
object
id
string
completed
boolean
count
number
objective
object
id
string
name
string
count
number
condition
string
Allowed values: AND OR
completedObjectives
Array<object>
object
objectiveGroupId
string
objectives
Array<object>
object
id
string
completed
boolean
count
number
objective
object
id
string
name
string
count
number
condition
string
Allowed values: AND OR
rewards
Array<object>
object
id

The bounty progress reward’s id.

string
name

The bounty reward’s name.

string
externalId

Your own catalog id for this reward.

string
rewardCompleted

Whether this reward has been completed. Becomes true the first time this endpoint successfully completes it, and does not change on later calls.

boolean
rewardReferenceId

The referenceId from the first completion call. Not changed by a later call to this endpoint.

string
member
object
id
string
playerId

Unique identifier for this member’s in-game user, set when linking with their Nexus account or generating the code

string
name
string
codes
Array<object>

A group member’s code which is used as their storefront URL and when creating transactions or referrals

object
code
string
isPrimary

Indicates whether or not this is the primary code for this member.

boolean
isGenerated

Indicates whether or not this is a code that you generated.

boolean
isManaged

Indicates whether or not this is a code that you manage. Once a code that you generated has been linked to a Nexus account, it will no longer be considered managed.

boolean

Bad request

Media typeapplication/json
object
code

CodeNotInGroup: Creator group is private, and specified code is not linked to it
InvalidGroup: No creator group was found with the specified groupId
InvalidAuthCode: AuthCode provided is not valid
ExpiredAuthCode: AuchCode provided has expired
ReferralNexusNotFound: No Nexus was found to match the provided referral code
BountyNotFound: No bounty was found with the specified bountyId
CreatorNotFound: No creator found with the specified creatorId
InvalidEventCode: No event found with the specifed event code

string
Allowed values: InvalidGroup CodeNotInGroup InvalidAuthCode ExpiredAuthCode ReferralNexusNotFound BountyNotFound MemberNotFound InvalidEventCode UnknownError
message
string
GET
/member/slug/{slug}
curl --request GET \
--url 'https://api.nexus.gg/v1/bounties/member/slug/example?page=1&pageSize=100' \
--header 'X-SHARED-SECRET: nexus_sk_your_key_here'
Example
{
"currentPage": 1,
"currentPageSize": 100,
"totalCount": 1,
"memberId": "9jd7RBR_B2BZ0uWO3_lgv",
"playerId": "player_8f2c41d0",
"slug": "popcornfrog",
"progress": {
"id": "Hff_Zps6FFF0MZzmCsTr4",
"completed": false,
"completionCount": 1,
"currentObjectiveGroupId": "Qk8mZ3vDxLpN9fT2wRyHb",
"currentObjectives": [
{
"id": "XD3Xj13ss4Evkgyq7csCL",
"completed": false,
"count": 1,
"objective": {
"id": "m-OWRxs8qnSSny4THjT1R",
"name": "Refer a player that reaches level 20",
"count": 5,
"condition": "AND"
}
}
],
"completedObjectives": [
{
"objectiveGroupId": "R2vbVWNC4SHhC2lk_QHsq",
"objectives": [
{
"id": "XD3Xj13ss4Evkgyq7csCT",
"completed": true,
"count": 5,
"objective": {
"id": "m-OWRxs8qnSSny4THjT1R",
"name": "Refer a player that reaches level 20",
"count": 5,
"condition": "AND"
}
}
]
}
],
"rewards": [
{
"id": "kCxr7lst7Ghk8n1o6DKEF",
"name": "In game Title",
"externalId": "reward_mvp_title",
"rewardCompleted": true,
"rewardReferenceId": "ref_8f2c41d0"
}
],
"bounty": {
"id": "zaYan69O7icpHF0t2y0ul",
"name": "5 Referals reach level 20"
},
"member": {
"id": "9jd7RBR_B2BZ0uWO3_lgv",
"playerId": "player_8f2c41d0",
"name": "PopcornFrog",
"codes": [
{
"code": "Popcornfrog",
"isPrimary": true,
"isGenerated": false,
"isManaged": false
}
]
}
}
}